Skip to main content
POST
/
v1
/
objects
/
{id}
/
complete
JavaScript
import Runloop from '@runloop/api-client';

const client = new Runloop({
  bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});

const objectView = await client.objects.complete('id');

console.log(objectView.id);
import os
from runloop_api_client import Runloop

client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
object_view = client.objects.complete(
"id",
)
print(object_view.id)
curl --request POST \
--url https://api.runloop.ai/v1/objects/{id}/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'


{
  "id": "<string>",
  "name": "<string>",
  "create_time_ms": 123,
  "size_bytes": 123,
  "delete_after_time_ms": 123,
  "metadata": {},
  "upload_url": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The unique identifier of the Object to complete.

Body

application/json

The body is of type object.

Response

Object upload completed successfully. Returns the Object with updated state.

An Object represents a stored data entity with metadata.

id
string
required

The unique identifier of the Object.

name
string
required

The name of the Object.

state
enum<string>
required

The current state of the Object.

Available options:
UPLOADING,
READ_ONLY,
DELETED,
ERROR
content_type
enum<string>
required

The content type of the Object.

Available options:
unspecified,
text,
binary,
gzip,
tar,
tgz
create_time_ms
integer<int64>
required

The creation time of the Object in milliseconds since epoch.

size_bytes
integer<int64> | null

The size of the Object content in bytes (null until uploaded).

delete_after_time_ms
integer<int64> | null

The time after which the Object will be deleted in milliseconds since epoch.

metadata
object | null

User defined metadata to attach to the Object for organization.

upload_url
string | null

Presigned URL for uploading content to S3 (only present on create).